cannot install two linux-backports-modules-wireless packages

Bug #568782 reported by vroetman on 2010-04-23
40
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.32 (Ubuntu)
High
Tim Gardner
Lucid
High
Tim Gardner

Bug Description

linux-backports-modules-wireless-lucid-generic is already installed,
so linux-backports-modules-wireless-2.6.32-20-generic is installed
When upgrading to kernel 2.6.32-21, it tries to install linux-backports-modules-wireless-2.6.32-21-generic
but has a conflict with the -20 package:

 trying to overwrite '/lib/udev/compat_firmware.sh', which is also in package linux-backports-modules-wireless-2.6.32-20-generic 0:2.6.32-20.10

Since the system keeps two kernels on, these two backports-modules-wireless package need to be able to co-exist. Or it needs to replace the -20 package with the -21 package.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-backports-modules-wireless-lucid-generic 2.6.32.21.22
Regression: No
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: vic 1622 F.... pulseaudio
 /dev/snd/pcmC0D0p: vic 1622 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'CK8S'/'NVidia CK8S with ALC850 at irq 20'
   Mixer name : 'Realtek ALC850 rev 0'
   Components : 'AC97a:414c4790'
   Controls : 42
   Simple ctrls : 27
Date: Fri Apr 23 11:17:47 2010
Dependencies:

HibernationDevice: RESUME=UUID=be5c2308-4af2-465a-b8ce-5ee0c164e980
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100317.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 003 Device 002: ID 045e:0024 Microsoft Corp. Trackball Explorer
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTek Computer Inc. K8N
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-21-generic root=/dev/mapper/geek-root ro
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
RfKill:

SourcePackage: linux
dmi.bios.date: 09/06/2005
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1009
dmi.board.name: 'K8N'
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1009:bd09/06/2005:svnASUSTekComputerInc.:pnK8N:pvrSystemVersion:rvnASUSTeKComputerINC.:rn'K8N':rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: K8N
dmi.product.version: System Version
dmi.sys.vendor: ASUSTek Computer Inc.

vroetman (vroetman) wrote :
Jeremy Foshee (jeremyfoshee) wrote :

Hi vroetman,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
vroetman (vroetman) wrote :

Response to automated message: This is a packaging issue of extra modules, not a kernel bug.

tags: removed: needs-upstream-testing
Tim Gardner (timg-tpi) on 2010-04-29
affects: linux (Ubuntu Lucid) → linux-backports-modules-2.6.32 (Ubuntu Lucid)
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
importance: Undecided → High
milestone: none → lucid-updates
status: Incomplete → In Progress
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: multiple LBM packages are not installable

Patch description: Make the colliding file names unique by ABI

Patch: see attached

Tim Gardner (timg-tpi) wrote :

How about the right patch this time.

Andy Whitcroft (apw) on 2010-04-29
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: In Progress → Fix Committed

Accepted linux-backports-modules-2.6.32 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-backports-modules-2.6.32 - 2.6.32-22.13

---------------
linux-backports-modules-2.6.32 (2.6.32-22.13) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Make compat wireless udev glue unique by ABI
    - LP: #568782
 -- Andy Whitcroft <email address hidden> Thu, 29 Apr 2010 17:22:35 +0100

Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2010-08-27
Changed in linux-backports-modules-2.6.32 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.